Runtime

## org.eclipse.gmf.runtime.diagram.ui.editpolicies
Class NonResizableLabelEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gef.editpolicies.GraphicalEditPolicy
              org.eclipse.gef.editpolicies.SelectionEditPolicy
                  org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
                      org.eclipse.gef.editpolicies.NonResizableEditPolicy
                          org.eclipse.gmf.runtime.diagram.ui.editpolicies.NonResizableEditPolicyEx
                              org.eclipse.gmf.runtime.diagram.ui.editpolicies.NonResizableLabelEditPolicy

All Implemented Interfaces:
  EditPolicy, IAdaptable, RequestConstants

public class NonResizableLabelEditPolicy
extends NonResizableEditPolicyEx

EditPolicy which moves a label relative to it parent.

Field Summary

Fields inherited from class org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
`handles`

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`NonResizableLabelEditPolicy()`

Method Summary
`protected IFigure` `createDragSourceFeedbackFigure()`
`protected DragTracker` `createSelectionHandleDragTracker()` Overridden to use a customized drag tracker for the handles.
`protected void` `eraseChangeBoundsFeedback(ChangeBoundsRequest request)`
`protected Command` `getMoveCommand(ChangeBoundsRequest request)`
`EditPart` `getTargetEditPart(Request request)`
`protected void` `showChangeBoundsFeedback(ChangeBoundsRequest request)` Shows or updates feedback for a change bounds request.
`boolean` `understandsRequest(Request request)`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editpolicies.NonResizableEditPolicyEx
`addSelectionHandles, eraseSourceFeedback, replaceHandleDragEditPartsTracker, showSourceFeedback`

Methods inherited from class org.eclipse.gef.editpolicies.NonResizableEditPolicy
`createSelectionHandles, deactivate, getAlignCommand, getCommand, getDragSourceFeedbackFigure, getInitialFeedbackBounds, getOrphanCommand, hideFocus, isDragAllowed, setDragAllowed, showFocus`

Methods inherited from class org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
`getAdapter, hideSelection, removeSelectionHandles, showSelection`

Methods inherited from class org.eclipse.gef.editpolicies.SelectionEditPolicy
`activate, addSelectionListener, removeSelectionListener, setFocus, setSelectedState, showPrimarySelection`

Methods inherited from class org.eclipse.gef.editpolicies.GraphicalEditPolicy
`addFeedback, getFeedbackLayer, getHostFigure, getLayer, removeFeedback`

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`debugFeedback, eraseTargetFeedback, getHost, setHost, showTargetFeedback, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NonResizableLabelEditPolicy

    public NonResizableLabelEditPolicy()

Method Detail

### eraseChangeBoundsFeedback

    protected void eraseChangeBoundsFeedback(ChangeBoundsRequest request)

### createDragSourceFeedbackFigure

    protected IFigure createDragSourceFeedbackFigure()

### showChangeBoundsFeedback

    protected void showChangeBoundsFeedback(ChangeBoundsRequest request)

  Description copied from class: `NonResizableEditPolicyEx`
  Shows or updates feedback for a change bounds request. This method had been overriden to make sure that the feed back never go below the min size also it make sure it never exceed the max size

  Overrides:
    `showChangeBoundsFeedback` in class `NonResizableEditPolicyEx`
  Parameters:
    `request` - the request

### getMoveCommand

    protected Command getMoveCommand(ChangeBoundsRequest request)

### createSelectionHandleDragTracker

    protected DragTracker createSelectionHandleDragTracker()

  Overridden to use a customized drag tracker for the handles. The `isMove()` method of the drag tracker needs to be overridden as the parent of the label and connection will not be the same as the target editpart, instead it returns true always since labels can only be moved and not resized.

  Returns:
    a drag tracker

### getTargetEditPart

    public EditPart getTargetEditPart(Request request)

  Specified by:
    `getTargetEditPart` in interface `EditPolicy`
  Overrides:
    `getTargetEditPart` in class `NonResizableEditPolicyEx`
  See Also:
    `EditPolicy.getTargetEditPart(org.eclipse.gef.Request)`

### understandsRequest

    public boolean understandsRequest(Request request)

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.